Bug 494108 - oops in btrfs during install; anaconda mounts zfs part id'd as ext3, as btrfs?
oops in btrfs during install; anaconda mounts zfs part id'd as ext3, as btrfs?
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On: 490795
  Show dependency treegraph
Reported: 2009-04-04 09:13 EDT by Eric Sandeen
Modified: 2009-06-25 13:57 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 490795
Last Closed: 2009-06-25 13:57:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2009-04-04 09:13:26 EDT
+++ This bug was initially created as a clone of Bug #490795 +++

The following was filed automatically by anaconda:
anaconda exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/formats/fs.py", line 483, in mount
    raise FSError("mount failed: %s" % e)
  File "/usr/lib/anaconda/storage/formats/fs.py", line 206, in _getExistingSize
  File "/usr/lib/anaconda/storage/formats/fs.py", line 160, in __init__
    self._size = self._getExistingSize()
  File "/usr/lib/anaconda/storage/formats/__init__.py", line 89, in getFormat
    fmt = fmt_class(*args, **kwargs)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1103, in addUdevDevice
    format = formats.getFormat(*args, **kwargs)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1344, in populate
  File "/usr/lib/anaconda/storage/__init__.py", line 228, in reset
  File "/usr/lib/anaconda/storage/__init__.py", line 64, in storageInitialize
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
FSError: mount failed: (2, '')


Ronald's disk also appears to have old ext3 signatures too:

# blkid first_400K 
first_400K: UUID="f00819db-02a7-467c-ba24-425a435713ee" SEC_TYPE="ext2" TYPE="ext3" 
# /lib/udev/vol_id first_400K 

so really no idea why it's trying to get mounted as btrfs.

I've pinged the guy who did the zfs identification for blkid, this is the 2nd time I've seen this.

So we have 3 or 4 bugs, I think!

1) btrfs oopses when trying to mount this zfs partition as btrfs
2) blkid doesn't recognize these zfs partitions
3) mkfs.zfs doesn't zero out old ext3 signatures
4) anaconda is mounting something volid & blkid think is ext3, as btrfs?

Josef can have this bug for 1), I'll look into 2), we can't fix 3), and I may clone this bug back to anaconda for 4).
Comment 1 Eric Sandeen 2009-04-04 09:14:28 EDT
Ronald, you said you had full anaconda logs I think, can you attach them here?

Comment 2 Chris Lumens 2009-04-06 13:31:02 EDT
Isn't this the same problem as bug 494070?
Comment 3 Eric Sandeen 2009-04-06 13:36:05 EDT
the mystery is why it's trying to mount as btrfs if (at least blkid) thinks it's ext3, I guess.

How hard would it be to block any btrfs mount attempts (IOW maybe don't even load the btrfs module or make it available) w/o the special btrfs boot-time magic string?
Comment 4 Eric Sandeen 2009-04-06 13:58:54 EDT
Oh sorry. I cloned this because it seems like somehow anaconda is trying to mount something blkid thinks is ext3 as btrfs.  But maybe that's not an anaconda problem, and rather somewhere out in mount etc...  if you close this NOTABUG for anaconda I won't cry.
Comment 5 Chris Lumens 2009-04-07 11:34:36 EDT
I've committed the fs module on-demand loading patch, so hopefully we'll have this fixed up in the next build of anaconda.
Comment 6 Bug Zapper 2009-06-09 09:16:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.